<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Message extends Model
{
    protected $fillable = ['sender_id', 'receiver_id', 'message'];

   // In app/Models/Message.php
public function sender()
{
    return $this->belongsTo(User::class, 'sender_id')->with('profile');
}

public function receiver()
{
    return $this->belongsTo(User::class, 'receiver_id')->with('profile');
}
}

